@charset "UTF-8";

/* ### MENÚ ### */

.container-fluid {
  width: 100vw;
  padding: 0;
  margin: 0;
}
.pdf_white::after {
	display: inline-block;
	background-size: .8rem .8rem;
	height: .8rem;
	width: .8rem;  
	content: url(../../img/iconos/file-pdf_white.svg);
	margin-left: .5rem;
	vertical-align: -2px;
}
ul.navbar-nav {
  padding-left: 0 !important;
}
.navbar {
  color: white;
  background-color:var(--text-color-sataa);;
  background-image: url("../../img/FondoUPM_2.png");background-attachment: fixed; background-position: right top; background-size:auto; background-repeat: no-repeat;
  width: 100vw;
  margin: 0;
  padding: 0;
  margin-left: 0;
  & a {
    color: rgba(255,255,255,.55);
  }
  & button.navbar-toggler {
    border: 0 !important;
    -webkit-box-shadow: none !important;
            box-shadow: none !important;
    margin: 0 0 .2rem .2rem !important;
    padding: 0 !important;
  }
  .navbar-toggler-icon {
    font-size: 1rem;
    height: 1rem;
  }
  & .collapse.navbar-collapse {
    font-size: 1rem;
    &.navbar-nav {
      &.nav-item {
        padding: 0 0 0 5px !important;
        & active a {
          font-weight: normal !important;
        }
      }  
    }
  } 
}

a.nav-link:is(.home, .presentacion, .plan__estudios, .equipo__docente, .matriculacion, .practicas__empresa, .area__privada, .contacto )::before {
  display: inline-block;
  height: .8rem;
  width: .8rem; 
  margin-right: .5rem;
  vertical-align: -1px;
} 
a.nav-link.home::before {
  content: url(../../img/Iconos/house.svg);
}
a.nav-link.presentacion::before {
  content: url(../../img/Iconos/user-group.svg);
}
a.nav-link.plan__estudios::before {
  content: url(../../img/Iconos/chalkboard-user.svg);
}
a.nav-link.equipo__docente::before {
  content: url(../../img/Iconos/user-graduate.svg);
  height: .7rem;
  width: .7rem; 
}
a.nav-link.matriculacion::before {
  content: url(../../img/Iconos/euro-sign.svg);
  height: .6rem;
  width: .6rem; 
  vertical-align: -3px;
}
a.nav-link.practicas__empresa::before {
  content: url(../../img/Iconos/briefcase.svg);
  height: .7rem;
  width: .7rem; 
}
a.nav-link.area__privada::before {
  content: url(../../img/Iconos/lock.svg);
  height: .7rem;
  width: .7rem; 
}
a.nav-link.contacto::before {
  content: url(../../img/Iconos/phone-solid.svg);
}
.dropdown-menu {
  background-color: transparent !important;
  padding-top: 0 !important;
  margin: 0 1rem;
  border: none !important;
  font-size: 1rem;
  & .dropdown-item {
    background-color: transparent !important;
    padding-left: .3rem;
    &:hover {
      background-color: transparent !important;
      color: white;
      font-style: italic;
    }  
  }
}
/* ============ A PARTIR DE ESTE ANCHO EL MENÚ SE CONVIERTE A UN MENÚ VERTICAL OCULTO  ============ */
@media all and (min-width: 1170px) {
  .dropdown-menu li {
    position: relative;
    &:hover {
      background-color: #f1f1f1;
    }  
  }
  .nav-item {
    padding: 0 0 0 15px !important;
  }
}
/* ============ small devices ============ */
@media (max-width: 1169px) {
  .dropdown-menu .dropdown-menu {
    margin-left: 0.7rem;
    margin-right: 0.7rem;
    margin-bottom: .5rem;
  }
  .nav-item {
    padding: 0 0 0 0 !important;
  }
}
@media (max-width: 1045px) {
  .dropdown-menu .dropdown-menu {
    margin-left: 0.7rem;
    margin-right: 0.7rem;
    margin-bottom: .5rem;
  }
  .navbar-nav, .dropdown-item {
    font-size: 0.9em;
  }
  .nav-item {
    padding: 0 0 0 0 !important;
  }
}
@media (max-width: 992px) {
  .nav-item {
    padding: 0 0 0 15px !important;
  }
  .navbar-nav {
    padding-bottom: 1em;
  }
}
/* ============ small devices .end// ============ */
/* ### Fin MENÚ ### */
